import { t as definePluginEntry } from "../../plugin-entry-BZpzqykQ.js";
import { t as elevenLabsMediaUnderstandingProvider } from "../../media-understanding-provider-DZauDR9o.js";
import { t as buildElevenLabsRealtimeTranscriptionProvider } from "../../realtime-transcription-provider-kb6plI_E.js";
import { t as buildElevenLabsSpeechProvider } from "../../speech-provider-ClX98YCF.js";
//#region extensions/elevenlabs/index.ts
var elevenlabs_default = definePluginEntry({
	id: "elevenlabs",
	name: "ElevenLabs Speech",
	description: "Bundled ElevenLabs speech provider",
	register(api) {
		api.registerSpeechProvider(buildElevenLabsSpeechProvider());
		api.registerMediaUnderstandingProvider(elevenLabsMediaUnderstandingProvider);
		api.registerRealtimeTranscriptionProvider(buildElevenLabsRealtimeTranscriptionProvider());
	}
});
//#endregion
export { elevenlabs_default as default };
